package com.mortals.xhx.module.print.service;

import com.mortals.framework.common.Rest;
import com.mortals.xhx.busiz.req.PrintReq;
import com.mortals.xhx.module.print.model.Printer;
import com.mortals.xhx.module.print.model.PrinterQueue;

import java.util.List;

/**
 * 打印业务接口
 *
 * @author:
 * @date: 2022/12/26 13:26
 */
public interface PrintService {

    Rest<Void> executePrint(PrintReq printReq);

    Rest<List<Printer>> getPrintList();

    Rest<List<PrinterQueue>> getPrintQueue(String printerName);
}
